{% macro list(deals) %}

    {% import 'SyliusResourceBundle:Macros:buttons.html.twig' as buttons %}
    {% import 'SyliusWebBundle:Backend/Macros:alerts.html.twig' as alerts %}

    {% if deals|length > 0 %}
        <table class="sylius-products-table table table-bordered">
            <thead>
            <tr>
                <th class="id">{{ sylius_resource_sort('id', '#id') }}</th>
                <th class="info">{{ sylius_resource_sort('name', 'Name') }}</th>
                <th class="info">{{ sylius_resource_sort('active', 'Active') }}</th>
                <th class="updated-at">{{ sylius_resource_sort('locale', 'Locale') }}</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for deal in deals %}
                <tr id="{{ deal.id }}">
                    <td class="id">
                        {{ deal.id }}
                    </td>
                    <td class="info">
                        <div class="media">
                            <a href="{{ path('elbotrade_deal_backend_show', {'id': deal.id}) }}" class="pull-left"
                               title="Details">
                                {% if deal.image %}
                                    {% thumbnail deal.image, 'small' %}
                                {% else %}
                                    <img src="http://placehold.it/50x40" alt="" class="imgmedia-object" />
                                {% endif %}
                            </a>
                            <div class="media-body">
                                <h5 class="media-heading">
                                    <a class="name"
                                       href="{{ path('elbotrade_deal_backend_show', {'id': deal.id}) }}"
                                       title="Details">
                                        {{ deal.name }}
                                    </a>
                                </h5>
                            </div>
                        </div>
                    </td>
                    <td class="info">
                        <em>{% if deal.active == true %}<span class="glyphicon glyphicon-ok"></span>{% else %}<span class="glyphicon glyphicon-remove"></span>{% endif %}</em>
                    </td>
                    <td class="info">
                        <em>{{ deal.locale }}</em>
                    </td>
                    <td class="center-text">
                        {{ buttons.edit(path('elbotrade_deal_backend_update', {'id': deal.id})) }}
                        {{ buttons.delete(path('elbotrade_deal_backend_delete', {'id': deal.id})) }}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% else %}
        {{ alerts.info('Žádny katalog k zobrazení.') }}
    {% endif %}

{% endmacro %}
